import React, { Component, PropTypes as PT } from 'react';

class Vulnerability extends Component {
  render() {
    const { data, version } = this.props;
    const references = () => {
      if(!data.references || !data.references.url || !data.references.url.length) {
        return '';
      }
      return (
        <div>
          <h6>References</h6>
          <ul>
            {data.references.url.map((reference, index) => (
              <li key={index}>
                <a href={reference} target="_blank">{reference}</a>
              </li>
            ))}
          </ul>
        </div>
      )
    }
    return (
      <div className="vulnerability">
        <h5>
          Current: {version}
        </h5>
        <p><span className="label label-warning pull-left">{data.vuln_type}</span><strong>Fixed in:</strong><span> {data.fixed_in}</span></p>
        {references()}
      </div>
    )  
  }
}

Vulnerability.propTypes = {
  data: PT.object.isRequired
}

export default Vulnerability;